[arch-commits] Commit in mythplugins/trunk (PKGBUILD)

Ionut Biru ibiru at archlinux.org
Sun Jul 4 10:44:23 EDT 2010


    Date: Sunday, July 4, 2010 @ 10:44:22
  Author: ibiru
Revision: 84794

upgpkg: mythplugins 25260-1 update to latest revision, added mythnetvision, mythflix not available anymore

Modified:
  mythplugins/trunk/PKGBUILD

----------+
 PKGBUILD |   31 +++++++++++++++----------------
 1 file changed, 15 insertions(+), 16 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-07-04 14:27:12 UTC (rev 84793)
+++ PKGBUILD	2010-07-04 14:44:22 UTC (rev 84794)
@@ -4,27 +4,27 @@
 pkgbase=mythplugins
 pkgname=('mythplugins-mytharchive'
          'mythplugins-mythbrowser'
-         'mythplugins-mythflix'
          'mythplugins-mythgallery'
          'mythplugins-mythgame'
          'mythplugins-mythmovies'
          'mythplugins-mythmusic'
+         'mythplugins-mythnetvision'
          'mythplugins-mythnews'
          'mythplugins-mythvideo'
          'mythplugins-mythweather'
          'mythplugins-mythweb'
          'mythplugins-mythzoneminder')
-pkgver=23562
+pkgver=25260
 pkgrel=1
 arch=('i686' 'x86_64')
 url="http://www.mythtv.org"
 license=('GPL')
-makedepends=("mythtv>=${pkgver}" 'mplayer' 'fftw' 'dvdauthor' 'libexif' 
-             'python-imaging' 'libcdaudio' 'taglib' 'perl-xml-simple' 
-             'libvisual')
-source=(ftp://ftp.archlinux.org/other/mythtv/mythtv-plugins-${pkgver}.tar.gz 
+makedepends=("mythtv>=${pkgver}" 'mplayer' 'fftw' 'dvdauthor' 'libexif'
+             'python-imaging' 'libcdaudio' 'taglib' 'perl-xml-simple'
+             'libvisual' 'perl-xml-xpath' 'perl-image-size' 'perl-class-inspector' 'perl-datetime-format-iso8601')
+source=(ftp://ftp.archlinux.org/other/mythtv/${pkgbase}-${pkgver}.tar.xz
         mtd)
-md5sums=('e140ca4da76394d9dd1fb9abb1769c57'
+md5sums=('d64cf6e8d358cf24403ee68dca6cc994'
          '476c12ba074794ad7f4ae092bdf949d6')
 
 build() {
@@ -52,14 +52,6 @@
   make INSTALL_ROOT="${pkgdir}" install || return 1
 }
 
-package_mythplugins-mythflix() {
-  pkgdesc="Netflix access plugin for MythTV"
-  depends=("mythtv>=${pkgver}")
-  replaces=('mythflix')
-  cd "${srcdir}/${pkgbase}/mythflix"
-  make INSTALL_ROOT="${pkgdir}" install || return 1
-}
-
 package_mythplugins-mythgallery() {
   pkgdesc="Image gallery plugin for MythTV"
   depends=("mythtv>=${pkgver}" 'libexif')
@@ -92,6 +84,13 @@
   make INSTALL_ROOT="${pkgdir}" install || return 1
 }
 
+package_mythplugins-mythnetvision() {
+  pkgdesc="MythNetvision plugin for MythTV"
+  depends=("mythtv>=${pkgver}")
+  cd "${srcdir}/${pkgbase}/mythnetvision"
+  make INSTALL_ROOT="${pkgdir}" install || return 1
+}
+
 package_mythplugins-mythnews() {
   pkgdesc="News checking plugin for MythTV"
   depends=("mythtv>=${pkgver}")
@@ -111,7 +110,7 @@
 
 package_mythplugins-mythweather() {
   pkgdesc="Weather checking plugin for MythTV"
-  depends=("mythtv>=${pkgver}")
+  depends=("mythtv>=${pkgver}" 'perl-xml-xpath' 'perl-image-size' 'perl-class-inspector' 'perl-datetime-format-iso8601')
   replaces=('mythweather')
   cd "${srcdir}/${pkgbase}/mythweather"
   make INSTALL_ROOT="${pkgdir}" install || return 1



More information about the arch-commits mailing list